Initiate Internal Transfer
curl --request POST \
--url https://client-api.dev.finhost.io/v2/transfer/internal \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": "<string>",
"from": {
"type": "individual",
"accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"recipient": {
"type": "account",
"accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reference": "<string>"
}
}
'import requests
url = "https://client-api.dev.finhost.io/v2/transfer/internal"
payload = {
"amount": "<string>",
"from": {
"type": "individual",
"accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"recipient": {
"type": "account",
"accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reference": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amount: '<string>',
from: {type: 'individual', accountId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'},
recipient: {
type: 'account',
accountId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
reference: '<string>'
}
})
};
fetch('https://client-api.dev.finhost.io/v2/transfer/internal', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"operationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"message": "Amount is too big for this payment method"
}{
"message": "Sender has no contract"
}{
"message": "Sender not found"
}Transfers
Initiate Internal Transfer
Initiate Internal Transfer
POST
/
v2
/
transfer
/
internal
Initiate Internal Transfer
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Amount in integer/float string format with maximum 2 decimal places
Required string length:
1 - 14Examples:
"42"
"4.2"
"4.20"
Individual account from which the transfer will be made
- Option 1
- Option 2
Show child attributes
Show child attributes
Recipient account
- Option 1
- Option 2
Show child attributes
Show child attributes
⌘I